
set( ubreco_VERSION 07.06.01 )
set( ubreco_UPS_VERSION v07_06_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcorealg  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_product( larcoreobj  )
    find_ups_root(  )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( lardataalg  )
    find_ups_product( ubsim v1_00_00 )
    find_ups_product( ubevt v1_00_00 )
    find_ups_product( ubcore v1_00_00 )
    find_ups_product( ubobj v1_00_00 )
    find_ups_product( artdaq_core v1_00_00 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( larcore  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )
    find_ups_product( nutools  )
    find_ups_product( genie  )
    find_ups_product( dk2nugenie  )
    find_ups_product( libwda  )
    find_ups_product( postgresql  )
    find_ups_product( geant4  )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( ifdh_art v1_00_00 )
    find_ups_product( ifdhc  )
    find_ups_product( ifbeam  )
    find_ups_product( nucondb  )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( gsl v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( marley  )
    find_ups_product( larreco v1_00_00 )
    find_ups_product( eigen  )
    find_ups_product( protobuf  )
    find_ups_product( tensorflow  )
    find_ups_product( swtrigger v1_00_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-matrix/BUILDTYPE/debug/QUAL/s70-e17/label1/swarm/label2/SLF7/build/libxml2/v2_9_5/Linux64bit+3.10-2.17-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEHGAL )
      cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_TREE )
      cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_GENIE )
      cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT IFBEAM )
      cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUCONDB )
      cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT WDA )
      cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GSL )
      cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY )
      cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY_ROOT )
      cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TENSORFLOW )
      cet_find_library( TENSORFLOW NAMES tensorflow-core PATHS ENV TENSORFLOW_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PROTOBUF )
      cet_find_library( PROTOBUF NAMES protobuf PATHS ENV PROTOBUF_LIB NO_DEFAULT_PATH )
    endif()
      set( UBRECO_MICHELRECO_MICHELRECODRIVER_MODULE $ENV{UBRECO_LIB}/libubreco_MichelReco_MichelRecoDriver_module.so )
      set( UBRECO_MICHELRECO_FMWK $ENV{UBRECO_LIB}/libubreco_MichelReco_Fmwk.so )
      set( UBRECO_MICHELRECO_ALGO $ENV{UBRECO_LIB}/libubreco_MichelReco_Algo.so )
      set( MUCSDT_MODULE $ENV{UBRECO_LIB}/libMuCSDT_module.so )
      set( MUCSEXTRAPOLATE_MODULE $ENV{UBRECO_LIB}/libMuCSExtrapolate_module.so )
      set( MUCSMCGEN_MODULE $ENV{UBRECO_LIB}/libMuCSMCGen_module.so )
      set( MUCSMERGER_MODULE $ENV{UBRECO_LIB}/libMuCSMerger_module.so )
      set( MUCSREADER_MODULE $ENV{UBRECO_LIB}/libMuCSReader_module.so )
      set( MUCSRECOTOMC_MODULE $ENV{UBRECO_LIB}/libMuCSRecoToMC_module.so )
      set( MUCSRECO_MODULE $ENV{UBRECO_LIB}/libMuCSReco_module.so )
      set( MUCSTRACKTAGGER_MODULE $ENV{UBRECO_LIB}/libMuCSTrackTagger_module.so )
      set( UBRECO_T0RECO_COSMICTAGGINGANODECATHODEPIERCING_MODULE $ENV{UBRECO_LIB}/libubreco_T0Reco_CosmicTaggingAnodeCathodePiercing_module.so )
      set( UBRECO_T0RECO_T0RECOANODECATHODEPIERCINGANA_MODULE $ENV{UBRECO_LIB}/libubreco_T0Reco_T0RecoAnodeCathodePiercingAna_module.so )
      set( UBRECO_T0RECO_T0RECOANODECATHODEPIERCINGVALIDATIONANA_MODULE $ENV{UBRECO_LIB}/libubreco_T0Reco_T0RecoAnodeCathodePiercingValidationAna_module.so )
      set( UBRECO_T0RECO_T0RECOANODECATHODEPIERCING_MODULE $ENV{UBRECO_LIB}/libubreco_T0Reco_T0RecoAnodeCathodePiercing_module.so )
      set( UBOONE_UBFLASHFINDER $ENV{UBRECO_LIB}/libuboone_UBFlashFinder.so )
      set( UBFLASHFINDER_MODULE $ENV{UBRECO_LIB}/libUBFlashFinder_module.so )
      set( UBRECO_SHOWERRECO_TWODIMTOOLS $ENV{UBRECO_LIB}/libubreco_ShowerReco_TwoDimTools.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_SHRRECO3D_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ShrReco3D_module.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_PROTOSHOWER $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ProtoShower.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_BASE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_Base.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_ANGLE3DFORMULA_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_Angle3DFormula_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_ANGLE3DFROMVTXQWEIGHTED_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_Angle3DFromVtxQweighted_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_ANGLE3DFROMVTX_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_Angle3DFromVtx_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_EMPTYMODULE_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_EmptyModule_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_FILLLENGTH_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_FillLength_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_FILTERPFPART_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_FilterPFPart_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_FILTERSHOWERS_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_FilterShowers_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_LINEARENERGY_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_LinearEnergy_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_STARTPOINT3DMODULE_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_StartPoint3DModule_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_STARTPOINTFROMY2D_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_StartPointfromY2D_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_YPLANESTARTPOINT3D_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_YPlaneStartPoint3D_tool.so )
      set( UBRECO_SHOWERRECO_SHOWERRECO3D_MODULARALGO_DEDXMODULE_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ShowerReco3D_ModularAlgo_dEdxModule_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CLUSTERMATCHER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_ClusterMatcher_module.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CLUSTERMERGER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_ClusterMerger_module.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_DICT $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_dict.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTOOLBASE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMToolBase.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMERGE_CBALGOANGLECOMPAT_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMerge_CBAlgoAngleCompat_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMERGE_CBALGOFAKE_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMerge_CBAlgoFake_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMERGE_CBALGOPOLAR_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMerge_CBAlgoPolar_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMERGE_CBALGOVTXALIGN_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMerge_CBAlgoVtxAlign_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMATCH_CFALGODEVEL_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMatch_CFAlgoDevel_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMATCH_CFALGOIOU_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMatch_CFAlgoIoU_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGMATCH_CFALGOTIMEOVERLAP_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgMatch_CFAlgoTimeOverlap_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGPRIORITY_CPALGONHITS_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgPriority_CPAlgoNHits_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTALGPRIORITY_CPALGOQSUM_TOOL $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMTAlgPriority_CPAlgoQSum_tool.so )
      set( UBRECO_SHOWERRECO_CLUSTERMERGING_CMTOOLAPP $ENV{UBRECO_LIB}/libubreco_ShowerReco_ClusterMerging_CMToolApp.so )
      set( UBRECO_SHOWERRECO_PROXIMITYCLUSTERING_CCVERTEX_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ProximityClustering_CCVertex_module.so )
      set( UBRECO_SHOWERRECO_PROXIMITYCLUSTERING_COSMICFILTER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ProximityClustering_CosmicFilter_module.so )
      set( UBRECO_SHOWERRECO_PROXIMITYCLUSTERING_PROXIMITYCLUSTERING_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ProximityClustering_ProximityClustering_module.so )
      set( UBRECO_SHOWERRECO_PROXIMITYCLUSTERING_TRUTHVERTEX_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ProximityClustering_TruthVertex_module.so )
      set( UBRECO_SHOWERRECO_PROXIMITYCLUSTERING_ALGORITHMS $ENV{UBRECO_LIB}/libubreco_ShowerReco_ProximityClustering_Algorithms.so )
      set( UBRECO_SHOWERRECO_RECLUSTER_PHOTONMERGE_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_ReCluster_PhotonMerge_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_COSMICBACKGROUNDS_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_CosmicBackgrounds_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PERFECTCLUSTERING_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_PerfectClustering_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PI0ANALYZERDATA_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Pi0AnalyzerDATA_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PI0ANALYZER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Pi0Analyzer_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PI0EVENTFILTER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Pi0EventFilter_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PI0FILTER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Pi0Filter_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PI0PHYSICSDATA_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Pi0PhysicsDATA_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_PI0PHYSICS_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Pi0Physics_module.so )
      set( UBRECO_SHOWERRECO_PI0ANA_SELECTION $ENV{UBRECO_LIB}/libubreco_ShowerReco_Pi0Ana_Selection.so )
      set( UBRECO_SHOWERRECO_TRUTHFILTERS_NEUTRINOFILTER_MODULE $ENV{UBRECO_LIB}/libubreco_ShowerReco_TruthFilters_NeutrinoFilter_module.so )
      include_directories ( $ENV{UBRECO_INC} )

check_required_components(ubreco)

